

#include "BUILTIN.h"

#include "Char.h"

#include "Nat.h"

#include "CharConv.h"

#include "NatConv.h"

#include "Int.h"

#include "Real.h"

#include "Denotation.h"
extern OBJ _AGreek_1(OBJ);OBJ __AGreek_1; /* lower? */
extern OBJ _AGreek_2(OBJ);OBJ __AGreek_2; /* upper? */
extern OBJ _AGreek_3(OBJ);OBJ __AGreek_3; /* control? */
extern OBJ _AGreek_4(OBJ);OBJ __AGreek_4; /* punctuation? */
extern OBJ _AGreek_5(OBJ);OBJ __AGreek_5; /* letter? */
extern OBJ _AGreek_6(OBJ);OBJ __AGreek_6; /* digit? */
extern OBJ _AGreek_7(OBJ);OBJ __AGreek_7; /* letgit? */
extern OBJ _AGreek_8(OBJ);OBJ __AGreek_8; /* space? */
extern OBJ _AGreek_9(OBJ);OBJ __AGreek_9; /* whitespace? */
extern OBJ _AGreek_10(OBJ);OBJ __AGreek_10; /* printable? */
extern OBJ _AGreek_11(OBJ);OBJ __AGreek_11; /* notUsed? */
extern OBJ _AGreek_12(OBJ);OBJ __AGreek_12; /* lower */
extern OBJ _AGreek_13(OBJ);OBJ __AGreek_13; /* upper */
OBJ __AGreek_14; /* noBreakSpace */
OBJ __AGreek_15; /* leftSingleQuote */
OBJ __AGreek_16; /* rightSingleQuote */
OBJ __AGreek_17; /* poundSign */
OBJ __AGreek_18; /* brokenBar */
OBJ __AGreek_19; /* paragraphSign */
OBJ __AGreek_20; /* diaeresis */
OBJ __AGreek_21; /* dialytika */
OBJ __AGreek_22; /* copyrightSign */
OBJ __AGreek_23; /* leftAngleQuotationMark */
OBJ __AGreek_24; /* notSign */
OBJ __AGreek_25; /* softHyphen */
OBJ __AGreek_26; /* horizontalBar */
OBJ __AGreek_27; /* degreeSign */
OBJ __AGreek_28; /* plusMinusSign */
OBJ __AGreek_29; /* superscriptTwo */
OBJ __AGreek_30; /* superscriptThree */
OBJ __AGreek_31; /* accent */
OBJ __AGreek_32; /* tomos */
OBJ __AGreek_33; /* diaeresisAndAccent */
OBJ __AGreek_34; /* dialytikaAndTonos */
OBJ __AGreek_35; /* AlphaAccent */
OBJ __AGreek_36; /* middleDot */
OBJ __AGreek_37; /* anoTeleia */
OBJ __AGreek_38; /* EpsilonAccent */
OBJ __AGreek_39; /* EtaAccent */
OBJ __AGreek_40; /* IotaAccent */
OBJ __AGreek_41; /* rightAngleQuotationMark */
OBJ __AGreek_42; /* OmicronAccent */
OBJ __AGreek_43; /* vulgarFractionOneHalf */
OBJ __AGreek_44; /* UpsilonAccent */
OBJ __AGreek_45; /* OmegaAccent */
OBJ __AGreek_46; /* iotaDiaeresisAndAccent */
OBJ __AGreek_47; /* Alpha */
OBJ __AGreek_48; /* Beta */
OBJ __AGreek_49; /* Gamma */
OBJ __AGreek_50; /* Delta */
OBJ __AGreek_51; /* Epsilon */
OBJ __AGreek_52; /* Zeta */
OBJ __AGreek_53; /* Eta */
OBJ __AGreek_54; /* Theta */
OBJ __AGreek_55; /* Iota */
OBJ __AGreek_56; /* Kappa */
OBJ __AGreek_57; /* Lamda */
OBJ __AGreek_58; /* Mu */
OBJ __AGreek_59; /* Nu */
OBJ __AGreek_60; /* Xi */
OBJ __AGreek_61; /* Omicron */
OBJ __AGreek_62; /* Pi */
OBJ __AGreek_63; /* Rho */
OBJ __AGreek_64; /* Sigma */
OBJ __AGreek_65; /* Tau */
OBJ __AGreek_66; /* Upsilon */
OBJ __AGreek_67; /* Phi */
OBJ __AGreek_68; /* Chi */
OBJ __AGreek_69; /* Psi */
OBJ __AGreek_70; /* Omega */
OBJ __AGreek_71; /* IotaDiaeresis */
OBJ __AGreek_72; /* UpsilonDiaeresis */
OBJ __AGreek_73; /* alphaAccent */
OBJ __AGreek_74; /* epsilonAccent */
OBJ __AGreek_75; /* etaAccent */
OBJ __AGreek_76; /* iotaAccent */
OBJ __AGreek_77; /* upsilonDiaeresisAndAccent */
OBJ __AGreek_78; /* alpha */
OBJ __AGreek_79; /* beta */
OBJ __AGreek_80; /* gamma */
OBJ __AGreek_81; /* delta */
OBJ __AGreek_82; /* epsilon */
OBJ __AGreek_83; /* zeta */
OBJ __AGreek_84; /* eta */
OBJ __AGreek_85; /* theta */
OBJ __AGreek_86; /* iota */
OBJ __AGreek_87; /* kappa */
OBJ __AGreek_88; /* lamda */
OBJ __AGreek_89; /* mu */
OBJ __AGreek_90; /* nu */
OBJ __AGreek_91; /* xi */
OBJ __AGreek_92; /* omicron */
OBJ __AGreek_93; /* pi */
OBJ __AGreek_94; /* rho */
OBJ __AGreek_95; /* terminalSigma */
OBJ __AGreek_96; /* sigma */
OBJ __AGreek_97; /* tau */
OBJ __AGreek_98; /* upsilon */
OBJ __AGreek_99; /* phi */
OBJ __AGreek_100; /* chi */
OBJ __AGreek_101; /* psi */
OBJ __AGreek_102; /* omega */
OBJ __AGreek_103; /* iotaDiaeresis */
OBJ __AGreek_104; /* upsilonDiaeresis */
OBJ __AGreek_105; /* omicronAccent */
OBJ __AGreek_106; /* upsilonAccent */
OBJ __AGreek_107; /* omegaAccent */
extern OBJ _AGreek_108(OBJ);OBJ __AGreek_108; /* $ */
extern OBJ _AGreek_109(OBJ);OBJ __AGreek_109; /* control?'109 */

extern OBJ _AGreek_1(OBJ x1) /* lower? */
{OBJ r;
 {OBJ x2;
  AChar_20(x1,x2);
  if(ISTGPRM(x2,1)){
   r=__ABUILTIN_5;
  }else{
   {OBJ x3;
    AChar_15(x1,__AGreek_46,x3);
    if(ISTGPRM(x3,1)){
     r=__ABUILTIN_5;
    }else{
     {OBJ x4;
      AChar_16(x1,__AGreek_73,x4);
      if(ISTGPRM(x4,1)){
       AChar_14(x1,__AGreek_107,r);
      }else{
       r=__ABUILTIN_3;}}}}}}
 return r;}

extern OBJ _AGreek_2(OBJ x1) /* upper? */
{OBJ r;
 {OBJ x2;
  AChar_21(x1,x2);
  if(ISTGPRM(x2,1)){
   r=__ABUILTIN_5;
  }else{
   {OBJ x3;
    AChar_15(x1,__AGreek_35,x3);
    if(ISTGPRM(x3,1)){
     r=__ABUILTIN_5;
    }else{
     {OBJ x4;OBJ x5;
      AChar_16(x1,__AGreek_38,x4);
      if(ISTGPRM(x4,1)){
       AChar_14(x1,__AGreek_40,x5);
      }else{
       x5=__ABUILTIN_3;}
      if(ISTGPRM(x5,1)){
       r=__ABUILTIN_5;
      }else{
       {OBJ x6;
	AChar_15(x1,__AGreek_42,x6);
	if(ISTGPRM(x6,1)){
	 r=__ABUILTIN_5;
	}else{
	 {OBJ x7;
	  AChar_15(x1,__AGreek_44,x7);
	  if(ISTGPRM(x7,1)){
	   r=__ABUILTIN_5;
	  }else{
	   {OBJ x8;
	    AChar_15(x1,__AGreek_45,x8);
	    if(ISTGPRM(x8,1)){
	     r=__ABUILTIN_5;
	    }else{
	     {OBJ x9;
	      AChar_16(x1,__AGreek_47,x9);
	      if(ISTGPRM(x9,1)){
	       {OBJ x10;
		AChar_14(x1,__AGreek_72,x10);
		if(ISTGPRM(x10,1)){
		 {OBJ x11;OBJ x12;
		  x11=inline_c_nat((NAT)(210));
		  ANatConv_2(x11,x12);
		  AChar_19(x1,x12,r);}
		}else{
		 r=__ABUILTIN_3;}}
	      }else{
	       r=__ABUILTIN_3;}}}}}}}}}}}}}}
 return r;}

extern OBJ _AGreek_3(OBJ x1) /* control? */
{OBJ r;
 {OBJ x2;
  AChar_22(x1,x2);
  if(ISTGPRM(x2,1)){
   r=__ABUILTIN_5;
  }else{
   CPCLS(__AGreek_109,1);
   {OBJ x3;OBJ x4;
    x3=(*(OBJ(*)(OBJ,OBJ))METHOD(__AGreek_109,1))(__AGreek_109,__ABUILTIN_20);
    AChar_16(x1,x3,x4);
    if(ISTGPRM(x4,1)){
     AChar_17(x1,__AGreek_14,r);
    }else{
     r=__ABUILTIN_3;}}}}
 return r;}

extern OBJ _AGreek_4(OBJ x1) /* punctuation? */
{OBJ r;
 {OBJ x2;
  AChar_23(x1,x2);
  if(ISTGPRM(x2,1)){
   r=__ABUILTIN_5;
  }else{
   {OBJ x3;OBJ x6;
    AChar_18(x1,__AGreek_14,x3);
    if(ISTGPRM(x3,1)){
     {OBJ x4;
      AChar_14(x1,__AGreek_33,x4);
      if(ISTGPRM(x4,1)){
       {OBJ x5;
	x5=_AGreek_11(x1);
	if(ISTGPRM(x5,1)){
	 x6=__ABUILTIN_3;
	}else{
	 x6=__ABUILTIN_5;}}
      }else{
       x6=__ABUILTIN_3;}}
    }else{
     x6=__ABUILTIN_3;}
    if(ISTGPRM(x6,1)){
     r=__ABUILTIN_5;
    }else{
     {OBJ x7;
      AChar_15(x1,__AGreek_36,x7);
      if(ISTGPRM(x7,1)){
       r=__ABUILTIN_5;
      }else{
       {OBJ x8;
	AChar_15(x1,__AGreek_41,x8);
	if(ISTGPRM(x8,1)){
	 r=__ABUILTIN_5;
	}else{
	 AChar_15(x1,__AGreek_43,r);}}}}}}}}
 return r;}

extern OBJ _AGreek_5(OBJ x1) /* letter? */
{OBJ r;
 {OBJ x2;
  x2=_AGreek_1(x1);
  if(ISTGPRM(x2,1)){
   r=__ABUILTIN_5;
  }else{
   r=_AGreek_2(x1);}}
 return r;}

extern OBJ _AGreek_6(OBJ x1) /* digit? */
{OBJ r;
 AChar_25(x1,r);
 return r;}

extern OBJ _AGreek_7(OBJ x1) /* letgit? */
{OBJ r;
 {OBJ x2;
  x2=_AGreek_5(x1);
  if(ISTGPRM(x2,1)){
   r=__ABUILTIN_5;
  }else{
   AChar_25(x1,r);}}
 return r;}

extern OBJ _AGreek_8(OBJ x1) /* space? */
{OBJ r;
 {OBJ x2;
  AChar_27(x1,x2);
  if(ISTGPRM(x2,1)){
   r=__ABUILTIN_5;
  }else{
   AChar_15(x1,__AGreek_14,r);}}
 return r;}

extern OBJ _AGreek_9(OBJ x1) /* whitespace? */
{OBJ r;
 {OBJ x2;
  AChar_28(x1,x2);
  if(ISTGPRM(x2,1)){
   r=__ABUILTIN_5;
  }else{
   AChar_15(x1,__AGreek_14,r);}}
 return r;}

extern OBJ _AGreek_10(OBJ x1) /* printable? */
{OBJ r;
 {OBJ x2;
  AChar_15(x1,__AChar_8,x2);
  if(ISTGPRM(x2,1)){
   r=__ABUILTIN_5;
  }else{
   {OBJ x3;
    x3=_AGreek_7(x1);
    if(ISTGPRM(x3,1)){
     r=__ABUILTIN_5;
    }else{
     r=_AGreek_4(x1);}}}}
 return r;}

extern OBJ _AGreek_11(OBJ x1) /* notUsed? */
{OBJ r;
 {OBJ x2;OBJ x3;OBJ x4;
  x2=inline_c_nat((NAT)(164));
  ANatConv_2(x2,x3);
  AChar_15(x1,x3,x4);
  if(ISTGPRM(x4,1)){
   r=__ABUILTIN_5;
  }else{
   {OBJ x5;OBJ x6;OBJ x7;
    x5=inline_c_nat((NAT)(165));
    ANatConv_2(x5,x6);
    AChar_15(x1,x6,x7);
    if(ISTGPRM(x7,1)){
     r=__ABUILTIN_5;
    }else{
     {OBJ x8;OBJ x9;OBJ x10;
      x8=inline_c_nat((NAT)(170));
      ANatConv_2(x8,x9);
      AChar_15(x1,x9,x10);
      if(ISTGPRM(x10,1)){
       r=__ABUILTIN_5;
      }else{
       {OBJ x11;OBJ x12;OBJ x13;
	x11=inline_c_nat((NAT)(174));
	ANatConv_2(x11,x12);
	AChar_15(x1,x12,x13);
	if(ISTGPRM(x13,1)){
	 r=__ABUILTIN_5;
	}else{
	 {OBJ x14;OBJ x15;OBJ x16;
	  x14=inline_c_nat((NAT)(210));
	  ANatConv_2(x14,x15);
	  AChar_15(x1,x15,x16);
	  if(ISTGPRM(x16,1)){
	   r=__ABUILTIN_5;
	  }else{
	   {OBJ x17;OBJ x18;
	    x17=inline_c_nat((NAT)(255));
	    ANatConv_2(x17,x18);
	    AChar_15(x1,x18,r);}}}}}}}}}}}
 return r;}

extern OBJ _AGreek_12(OBJ x1) /* lower */
{OBJ r;
 {OBJ x2;
  x2=_AGreek_2(x1);
  if(ISTGPRM(x2,1)){
   {OBJ x3;
    AChar_15(x1,__AGreek_35,x3);
    if(ISTGPRM(x3,1)){
     r=__AGreek_73;
    }else{
     {OBJ x4;
      AChar_15(x1,__AGreek_38,x4);
      if(ISTGPRM(x4,1)){
       r=__AGreek_74;
      }else{
       {OBJ x5;
	AChar_15(x1,__AGreek_39,x5);
	if(ISTGPRM(x5,1)){
	 r=__AGreek_75;
	}else{
	 {OBJ x6;
	  AChar_15(x1,__AGreek_40,x6);
	  if(ISTGPRM(x6,1)){
	   r=__AGreek_76;
	  }else{
	   {OBJ x7;
	    AChar_15(x1,__AGreek_42,x7);
	    if(ISTGPRM(x7,1)){
	     r=__AGreek_105;
	    }else{
	     {OBJ x8;
	      AChar_15(x1,__AGreek_44,x8);
	      if(ISTGPRM(x8,1)){
	       r=__AGreek_106;
	      }else{
	       {OBJ x9;
		AChar_15(x1,__AGreek_45,x9);
		if(ISTGPRM(x9,1)){
		 r=__AGreek_107;
		}else{
		 {OBJ x10;OBJ x11;
		  ACharConv_2(x1,x10);
		  ANat_61(x10,__ANat_39,x11);
		  ANatConv_2(x11,r);}}}}}}}}}}}}}}}
  }else{
   r=x1;}}
 return r;}

extern OBJ _AGreek_13(OBJ x1) /* upper */
{OBJ r;
 {OBJ x2;
  x2=_AGreek_1(x1);
  if(ISTGPRM(x2,1)){
   {OBJ x3;
    AChar_15(x1,__AGreek_46,x3);
    if(ISTGPRM(x3,1)){
     r=__AGreek_40;
    }else{
     {OBJ x4;
      AChar_15(x1,__AGreek_73,x4);
      if(ISTGPRM(x4,1)){
       r=__AGreek_35;
      }else{
       {OBJ x5;
	AChar_15(x1,__AGreek_74,x5);
	if(ISTGPRM(x5,1)){
	 r=__AGreek_38;
	}else{
	 {OBJ x6;
	  AChar_15(x1,__AGreek_75,x6);
	  if(ISTGPRM(x6,1)){
	   r=__AGreek_39;
	  }else{
	   {OBJ x7;
	    AChar_15(x1,__AGreek_76,x7);
	    if(ISTGPRM(x7,1)){
	     r=__AGreek_40;
	    }else{
	     {OBJ x8;
	      AChar_15(x1,__AGreek_77,x8);
	      if(ISTGPRM(x8,1)){
	       r=__AGreek_44;
	      }else{
	       {OBJ x9;
		AChar_15(x1,__AGreek_104,x9);
		if(ISTGPRM(x9,1)){
		 r=__AGreek_72;
		}else{
		 {OBJ x10;
		  AChar_15(x1,__AGreek_105,x10);
		  if(ISTGPRM(x10,1)){
		   r=__AGreek_42;
		  }else{
		   {OBJ x11;
		    AChar_15(x1,__AGreek_106,x11);
		    if(ISTGPRM(x11,1)){
		     r=__AGreek_44;
		    }else{
		     {OBJ x12;
		      AChar_15(x1,__AGreek_107,x12);
		      if(ISTGPRM(x12,1)){
		       r=__AGreek_45;
		      }else{
		       {OBJ x13;
			AChar_15(x1,__AGreek_95,x13);
			if(ISTGPRM(x13,1)){
			 r=__AGreek_64;
			}else{
			 {OBJ x14;OBJ x15;
			  ACharConv_2(x1,x14);
			  ANat_62(x14,__ANat_39,x15);
			  ANatConv_2(x15,r);}}}}}}}}}}}}}}}}}}}}}}}
  }else{
   r=x1;}}
 return r;}

extern OBJ _AGreek_108(OBJ x1) /* $ */
{OBJ r;
 {OBJ x2;
  x2=inline_opal_nat(x1);
  ANatConv_2(x2,r);}
 return r;}

extern OBJ _AGreek_109(OBJ x1) /* control?'109 */
{OBJ r;
 ANatConv_2(__ANat_47,r);
 return r;}

static void ___AGreek_14()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(160));
  ANatConv_2(x1,__AGreek_14);}}

static void ___AGreek_15()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(161));
  ANatConv_2(x1,__AGreek_15);}}

static void ___AGreek_16()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(162));
  ANatConv_2(x1,__AGreek_16);}}

static void ___AGreek_17()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(163));
  ANatConv_2(x1,__AGreek_17);}}

static void ___AGreek_18()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(166));
  ANatConv_2(x1,__AGreek_18);}}

static void ___AGreek_19()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(167));
  ANatConv_2(x1,__AGreek_19);}}

static void ___AGreek_20()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(168));
  ANatConv_2(x1,__AGreek_20);}}

static void ___AGreek_21()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(168));
  ANatConv_2(x1,__AGreek_21);}}

static void ___AGreek_22()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(169));
  ANatConv_2(x1,__AGreek_22);}}

static void ___AGreek_23()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(171));
  ANatConv_2(x1,__AGreek_23);}}

static void ___AGreek_24()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(172));
  ANatConv_2(x1,__AGreek_24);}}

static void ___AGreek_25()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(173));
  ANatConv_2(x1,__AGreek_25);}}

static void ___AGreek_26()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(175));
  ANatConv_2(x1,__AGreek_26);}}

static void ___AGreek_27()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(176));
  ANatConv_2(x1,__AGreek_27);}}

static void ___AGreek_28()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(177));
  ANatConv_2(x1,__AGreek_28);}}

static void ___AGreek_29()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(178));
  ANatConv_2(x1,__AGreek_29);}}

static void ___AGreek_30()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(179));
  ANatConv_2(x1,__AGreek_30);}}

static void ___AGreek_31()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(180));
  ANatConv_2(x1,__AGreek_31);}}

static void ___AGreek_32()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(180));
  ANatConv_2(x1,__AGreek_32);}}

static void ___AGreek_33()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(181));
  ANatConv_2(x1,__AGreek_33);}}

static void ___AGreek_34()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(181));
  ANatConv_2(x1,__AGreek_34);}}

static void ___AGreek_35()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(182));
  ANatConv_2(x1,__AGreek_35);}}

static void ___AGreek_36()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(183));
  ANatConv_2(x1,__AGreek_36);}}

static void ___AGreek_37()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(183));
  ANatConv_2(x1,__AGreek_37);}}

static void ___AGreek_38()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(184));
  ANatConv_2(x1,__AGreek_38);}}

static void ___AGreek_39()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(185));
  ANatConv_2(x1,__AGreek_39);}}

static void ___AGreek_40()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(186));
  ANatConv_2(x1,__AGreek_40);}}

static void ___AGreek_41()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(187));
  ANatConv_2(x1,__AGreek_41);}}

static void ___AGreek_42()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(188));
  ANatConv_2(x1,__AGreek_42);}}

static void ___AGreek_43()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(189));
  ANatConv_2(x1,__AGreek_43);}}

static void ___AGreek_44()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(190));
  ANatConv_2(x1,__AGreek_44);}}

static void ___AGreek_45()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(191));
  ANatConv_2(x1,__AGreek_45);}}

static void ___AGreek_46()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(192));
  ANatConv_2(x1,__AGreek_46);}}

static void ___AGreek_47()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(193));
  ANatConv_2(x1,__AGreek_47);}}

static void ___AGreek_48()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(194));
  ANatConv_2(x1,__AGreek_48);}}

static void ___AGreek_49()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(195));
  ANatConv_2(x1,__AGreek_49);}}

static void ___AGreek_50()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(196));
  ANatConv_2(x1,__AGreek_50);}}

static void ___AGreek_51()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(197));
  ANatConv_2(x1,__AGreek_51);}}

static void ___AGreek_52()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(198));
  ANatConv_2(x1,__AGreek_52);}}

static void ___AGreek_53()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(199));
  ANatConv_2(x1,__AGreek_53);}}

static void ___AGreek_54()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(200));
  ANatConv_2(x1,__AGreek_54);}}

static void ___AGreek_55()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(201));
  ANatConv_2(x1,__AGreek_55);}}

static void ___AGreek_56()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(202));
  ANatConv_2(x1,__AGreek_56);}}

static void ___AGreek_57()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(203));
  ANatConv_2(x1,__AGreek_57);}}

static void ___AGreek_58()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(204));
  ANatConv_2(x1,__AGreek_58);}}

static void ___AGreek_59()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(205));
  ANatConv_2(x1,__AGreek_59);}}

static void ___AGreek_60()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(206));
  ANatConv_2(x1,__AGreek_60);}}

static void ___AGreek_61()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(207));
  ANatConv_2(x1,__AGreek_61);}}

static void ___AGreek_62()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(208));
  ANatConv_2(x1,__AGreek_62);}}

static void ___AGreek_63()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(209));
  ANatConv_2(x1,__AGreek_63);}}

static void ___AGreek_64()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(211));
  ANatConv_2(x1,__AGreek_64);}}

static void ___AGreek_65()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(212));
  ANatConv_2(x1,__AGreek_65);}}

static void ___AGreek_66()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(213));
  ANatConv_2(x1,__AGreek_66);}}

static void ___AGreek_67()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(214));
  ANatConv_2(x1,__AGreek_67);}}

static void ___AGreek_68()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(215));
  ANatConv_2(x1,__AGreek_68);}}

static void ___AGreek_69()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(216));
  ANatConv_2(x1,__AGreek_69);}}

static void ___AGreek_70()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(217));
  ANatConv_2(x1,__AGreek_70);}}

static void ___AGreek_71()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(218));
  ANatConv_2(x1,__AGreek_71);}}

static void ___AGreek_72()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(219));
  ANatConv_2(x1,__AGreek_72);}}

static void ___AGreek_73()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(220));
  ANatConv_2(x1,__AGreek_73);}}

static void ___AGreek_74()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(221));
  ANatConv_2(x1,__AGreek_74);}}

static void ___AGreek_75()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(222));
  ANatConv_2(x1,__AGreek_75);}}

static void ___AGreek_76()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(223));
  ANatConv_2(x1,__AGreek_76);}}

static void ___AGreek_77()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(224));
  ANatConv_2(x1,__AGreek_77);}}

static void ___AGreek_78()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(225));
  ANatConv_2(x1,__AGreek_78);}}

static void ___AGreek_79()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(226));
  ANatConv_2(x1,__AGreek_79);}}

static void ___AGreek_80()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(227));
  ANatConv_2(x1,__AGreek_80);}}

static void ___AGreek_81()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(228));
  ANatConv_2(x1,__AGreek_81);}}

static void ___AGreek_82()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(229));
  ANatConv_2(x1,__AGreek_82);}}

static void ___AGreek_83()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(230));
  ANatConv_2(x1,__AGreek_83);}}

static void ___AGreek_84()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(231));
  ANatConv_2(x1,__AGreek_84);}}

static void ___AGreek_85()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(232));
  ANatConv_2(x1,__AGreek_85);}}

static void ___AGreek_86()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(233));
  ANatConv_2(x1,__AGreek_86);}}

static void ___AGreek_87()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(234));
  ANatConv_2(x1,__AGreek_87);}}

static void ___AGreek_88()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(235));
  ANatConv_2(x1,__AGreek_88);}}

static void ___AGreek_89()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(236));
  ANatConv_2(x1,__AGreek_89);}}

static void ___AGreek_90()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(237));
  ANatConv_2(x1,__AGreek_90);}}

static void ___AGreek_91()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(238));
  ANatConv_2(x1,__AGreek_91);}}

static void ___AGreek_92()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(239));
  ANatConv_2(x1,__AGreek_92);}}

static void ___AGreek_93()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(240));
  ANatConv_2(x1,__AGreek_93);}}

static void ___AGreek_94()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(241));
  ANatConv_2(x1,__AGreek_94);}}

static void ___AGreek_95()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(242));
  ANatConv_2(x1,__AGreek_95);}}

static void ___AGreek_96()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(243));
  ANatConv_2(x1,__AGreek_96);}}

static void ___AGreek_97()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(244));
  ANatConv_2(x1,__AGreek_97);}}

static void ___AGreek_98()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(245));
  ANatConv_2(x1,__AGreek_98);}}

static void ___AGreek_99()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(246));
  ANatConv_2(x1,__AGreek_99);}}

static void ___AGreek_100()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(247));
  ANatConv_2(x1,__AGreek_100);}}

static void ___AGreek_101()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(248));
  ANatConv_2(x1,__AGreek_101);}}

static void ___AGreek_102()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(249));
  ANatConv_2(x1,__AGreek_102);}}

static void ___AGreek_103()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(250));
  ANatConv_2(x1,__AGreek_103);}}

static void ___AGreek_104()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(251));
  ANatConv_2(x1,__AGreek_104);}}

static void ___AGreek_105()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(252));
  ANatConv_2(x1,__AGreek_105);}}

static void ___AGreek_106()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(253));
  ANatConv_2(x1,__AGreek_106);}}

static void ___AGreek_107()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(254));
  ANatConv_2(x1,__AGreek_107);}}

init_AGreek()
{
 static int visited=0; if(visited) return; visited=1;
 init_AChar();
 init_ANat();
 init_ACharConv();
 init_ANatConv();
 init_AInt();
 init_AReal();
 init_ADenotation();
 LCLS(1,_AGreek_109,__AGreek_109);
 CLS(1,_AGreek_13,__AGreek_13);
 CLS(1,_AGreek_108,__AGreek_108);
 CLS(1,_AGreek_12,__AGreek_12);
 CLS(1,_AGreek_11,__AGreek_11);
 CLS(1,_AGreek_10,__AGreek_10);
 CLS(1,_AGreek_9,__AGreek_9);
 CLS(1,_AGreek_8,__AGreek_8);
 CLS(1,_AGreek_7,__AGreek_7);
 CLS(1,_AGreek_6,__AGreek_6);
 CLS(1,_AGreek_5,__AGreek_5);
 CLS(1,_AGreek_4,__AGreek_4);
 CLS(1,_AGreek_3,__AGreek_3);
 CLS(1,_AGreek_2,__AGreek_2);
 CLS(1,_AGreek_1,__AGreek_1);
 ___AGreek_14();
 ___AGreek_15();
 ___AGreek_16();
 ___AGreek_17();
 ___AGreek_18();
 ___AGreek_19();
 ___AGreek_20();
 ___AGreek_21();
 ___AGreek_22();
 ___AGreek_23();
 ___AGreek_24();
 ___AGreek_25();
 ___AGreek_26();
 ___AGreek_27();
 ___AGreek_28();
 ___AGreek_29();
 ___AGreek_30();
 ___AGreek_31();
 ___AGreek_32();
 ___AGreek_33();
 ___AGreek_34();
 ___AGreek_35();
 ___AGreek_36();
 ___AGreek_37();
 ___AGreek_38();
 ___AGreek_39();
 ___AGreek_40();
 ___AGreek_41();
 ___AGreek_42();
 ___AGreek_43();
 ___AGreek_44();
 ___AGreek_45();
 ___AGreek_46();
 ___AGreek_47();
 ___AGreek_48();
 ___AGreek_49();
 ___AGreek_50();
 ___AGreek_51();
 ___AGreek_52();
 ___AGreek_53();
 ___AGreek_54();
 ___AGreek_55();
 ___AGreek_56();
 ___AGreek_57();
 ___AGreek_58();
 ___AGreek_59();
 ___AGreek_60();
 ___AGreek_61();
 ___AGreek_62();
 ___AGreek_63();
 ___AGreek_64();
 ___AGreek_65();
 ___AGreek_66();
 ___AGreek_67();
 ___AGreek_68();
 ___AGreek_69();
 ___AGreek_70();
 ___AGreek_71();
 ___AGreek_72();
 ___AGreek_73();
 ___AGreek_74();
 ___AGreek_75();
 ___AGreek_76();
 ___AGreek_77();
 ___AGreek_78();
 ___AGreek_79();
 ___AGreek_80();
 ___AGreek_81();
 ___AGreek_82();
 ___AGreek_83();
 ___AGreek_84();
 ___AGreek_85();
 ___AGreek_86();
 ___AGreek_87();
 ___AGreek_88();
 ___AGreek_89();
 ___AGreek_90();
 ___AGreek_91();
 ___AGreek_92();
 ___AGreek_93();
 ___AGreek_94();
 ___AGreek_95();
 ___AGreek_96();
 ___AGreek_97();
 ___AGreek_98();
 ___AGreek_99();
 ___AGreek_100();
 ___AGreek_101();
 ___AGreek_102();
 ___AGreek_103();
 ___AGreek_104();
 ___AGreek_105();
 ___AGreek_106();
 ___AGreek_107();}

